Автор Тема: Ошибка при установке Альт Образование 8.2 х64 на новый компьютер  (Прочитано 20496 раз)

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 9 837
P.S. Для эксперимента на рабочей системе Альт-Образование обновился до сизифа, но ядро там меньше 4.15.

Там Skull подсказывает про более новое ядро.
У вас на фото идёт строка сообщения:
Не могу смонтировать корневую файловую систему на неизвестном блочном устройстве(0,0)

Оффлайн OlegBB

  • Давно тут
  • **
  • Сообщений: 97
un-def там 4.17

Сделал так (в другом порядке не получилось):
  • установил 8.0
  • обновился и перешёл на ядро un-def
  • обновился до 8.2 и обновил ядро
  • перешел на сизиф
  • обновился и обновил ядро до 4.17
  • установил xorg-drv-amdgpu (изначально не было)

На 4.17 не загружается рабочий стол, даже с принудительными командами (xdriver=vesa nomodeset). Одна "мазня" на экране.
На предыдущей версии ядра включается, но только в графическом режиме (при загрузке "мазня" на экране, консоли потом такие же)

Попробовал перед загрузкой задать xdriver=amdgpu - не помогло.
Может еще чего-то не хватает для работы amdgpu?
Может mesa нужна? Как ее установить?

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 754
    • Домашняя страница
    • Email
Mesa (libGL) уже стоит. И обновлена с переходом на Sisyphus.
Параметр ядра xdriver читается только установщиком. Для смены драйвера надо менять в Центре управления системой.
Андрей Черепанов (cas@)

Оффлайн OlegBB

  • Давно тут
  • **
  • Сообщений: 97
Для смены драйвера надо менять в Центре управления системой
Пробовал загружаться в предыдущее ядро 4.14.61 (автоматом идет vesa) и выставлять в ЦУСе amdgpu. Потом загружаюсь в новом ядре 4.17.14 (не грузится ничего - виснет в самом начале).

Такое ощущение, что не только с процессором (видео) проблема, а с чипсетом тоже: WiFi не подключается, а в recovery mode журнал показывает ошибки драйверов (см.фото).

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 754
    • Домашняя страница
    • Email
Для смены драйвера надо менять в Центре управления системой
Пробовал загружаться в предыдущее ядро 4.14.61 (автоматом идет vesa) и выставлять в ЦУСе amdgpu. Потом загружаюсь в новом ядре 4.17.14 (не грузится ничего - виснет в самом начале).

Такое ощущение, что не только с процессором (видео) проблема, а с чипсетом тоже: WiFi не подключается, а в recovery mode журнал показывает ошибки драйверов (см.фото).
На новое ядро переходите с помощью update-kernel ? Учтите, не все модули собраны под него.
Лог использования amdgpu надо в /var/log/Xorg.0.log смотреть.
Андрей Черепанов (cas@)

Оффлайн OlegBB

  • Давно тут
  • **
  • Сообщений: 97
На новое ядро переходите с помощью update-kernel ?

Именно так (другой способ еще не знаю).

Оффлайн scodal

  • Начинающий
  • *
  • Сообщений: 1
проц тоже райзер 3 и ошибка та же, раньше линуксом не пользовались, пришло письмо от минсвязи 27го декабря, типо устанавливайте ПО с реестра, раз эта версия ОС не работает , то какую операционку качать из реестра? раз по этой поддержки нет)

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 754
    • Домашняя страница
    • Email
altlinux.org/Regular
Но это не в реестре. Можно обновить ядро до сизифного un-def.
Андрей Черепанов (cas@)

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 858
какую операционку качать из реестра? раз по этой поддержки нет)
Calculate  ;-D там в portage много чего хорошего есть...
Но там будут проблемы с cryptopro...

Оффлайн NickM

  • Давно тут
  • **
  • Сообщений: 470
    • Email
какую операционку качать из реестра? раз по этой поддержки нет)
Calculate  ;-D там в portage много чего хорошего есть...
Но там будут проблемы с cryptopro...

и с многим еще чем, все же Gentoo не каждый разработчик поддерживает...

Оффлайн OlegBB

  • Давно тут
  • **
  • Сообщений: 97
Наконец-то дождался Р9.

На Р9 проблем с драйверами нет. Все работает.  :-)

Решено!